package org.openxma.dsl.reference.dtoassembler.validation;

import org.springframework.validation.Errors;
import org.openxma.dsl.reference.base.validation.BaseEntityValidator;
import org.openxma.dsl.reference.dtoassembler.model.Parent;

@SuppressWarnings("boxing")
public abstract class ParentGenValidator extends BaseEntityValidator {
        
    @SuppressWarnings("unchecked")
    public boolean supports(Class clazz) {
        return Parent.class.isAssignableFrom(clazz);
    }
    
    public Errors validate(Parent parent) {
        Errors errors = createErrors(parent);      
        super.validate(parent,errors);
        validate(parent,errors);
        return errors;
    }

    public void validate(Object object, Errors errors) {
        Parent parent = (Parent) object;
    }
    
}
